Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class FlatFileBodyFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.layout.FlatFileBodyFactoryAssembler

    public class FlatFileBodyFactoryAssembler

extends FlatFileOptionsFactoryAssembler

The `FlatFileBodyFactoryAssembler` implements an assembler for assembling `FlatFileBodyFactory` objects.

Constructor Summary
`FlatFileBodyFactoryAssembler()`

Method Summary
`FlatFileBodyFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(FlatRecordTypeFactory flatRecordTypeFactory)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setIndexBase, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes, setZeroBased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileBodyFactoryAssembler

    public FlatFileBodyFactoryAssembler()

Method Detail

### injectComponent

    public void injectComponent(FlatRecordTypeFactory flatRecordTypeFactory)

### assemble

    public FlatFileBodyFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD